## python-collections-extended 2.0.2

=== Makefile ===
PACKAGE = collections_extended
VENV = $(shell poetry env info --path)

.PHONY: default
default: clean deps tests

.PHONY: deps
deps:
	pip install poetry
	poetry install --remove-untracked

.PHONY: tests
tests:
	poetry run py.test

.PHONY: testall
testall:
	poetry run tox

.PHONY: clean
clean:
	rm --recursive --force build
	rm --recursive --force dist
	rm --recursive --force *.egg-info
	find . -name *.py[co] -delete
	find . -name *~ -delete
	find . -name __pycache__ -delete
	find . -name *,cover -delete

.PHONY: deep-clean
deep-clean: clean clean-docs
	rm --recursive --force $(VENV)
	rm --recursive --force .eggs
	rm --recursive --force .pytest_cache
	rm --recursive --force .tox

# Linting

.PHONY: lint
lint:
	poetry run flake8 --statistics --count
	poetry check

.PHONY: fixme-check
fixme-check:
	! git grep FIXME | grep "^Makefile" --invert-match

.PHONY: coverage
coverage:
	poetry run coverage run --source $(PACKAGE) --module pytest
	poetry run coverage report --show-missing
	poetry run coverage html

# Publishing

.PHONY: publish
publish: fixme-check lint testall publish-force

.PHONY: publish-force
publish-force:
	poetry build
	poetry publish
	git push
	git push --tags

# Docs

DOCS_BUILD = docs/_build

.PHONY: clean-docs
clean-docs:
	rm --force --recursive $(DOCS_BUILD)
#	rm --force docs/$(PACKAGE).rst
#	rm --force docs/modules.rst

.PHONY: docs
docs: clean-docs
	poetry run sphinx-build -b dirhtml docs $(DOCS_BUILD)/html

=== debian/changelog ===
python-collections-extended (2.0.2-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Feb 2023 02:33:25 -0500

python-collections-extended (2.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1029488)

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Feb 2023 09:03:59 -0500

=== debian/control ===
Source: python-collections-extended
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hypothesis <!nocheck>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-setuptools,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/mlenzen/collections-extended
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-collections-extended
Vcs-Git: https://salsa.debian.org/python-team/packages/python-collections-extended.git

Package: python3-collections-extended
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Extra Python Collections - bags, setlists, RangeMap and IndexedDict
 collections_extended is a pure Python module with no dependencies providing:
 .
  * a bag class, also known as multiset,
  * a setlist class, which is a unique list or ordered set,
  * a bijection class, RangeMap which is a mapping from ranges to values,
  * a IndexedDict class, which is an ordered mapping whose elements can be
    accessed using index, in addition to key.
 .
 There are also frozen (hashable) varieties of bags and setlists.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = collections-extended

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/collections-extended-$1\.tar\.gz/ https://github.com/mlenzen/collections-extended/tags .*\/v(\d\S+)\.tar\.gz
